Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4788)
@@ -24,4 +24,7 @@
 #D-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #============================
 PeriodNb=50
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 4788)
@@ -106,4 +106,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 4788)
@@ -17,5 +17,5 @@
 # output_level_filename=12    : highest level which will output all variables
 # output_level_filename=NONE  : deactivate the file
-output_level_sechiba_history = 11
+output_level_sechiba_history = 2
 output_level_sechiba_out_2 = NONE
 output_level_sechiba_history_4dim = 11
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4788)
@@ -26,5 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip_nudge/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip_nudge/COMP/lmdz.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip_nudge/COMP/lmdz.card	(revision 4788)
@@ -108,4 +108,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip_nudge/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip_nudge/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/amip_nudge/config.card	(revision 4788)
@@ -26,5 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card	(revision 4788)
@@ -98,4 +98,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/clim_360d/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/clim_360d/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/clim_360d/config.card	(revision 4788)
@@ -26,4 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 4788)
@@ -101,4 +101,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/clim_pdControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4788)
@@ -26,4 +26,8 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
+
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 4788)
@@ -100,4 +100,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER/config.card	(revision 4788)
@@ -30,4 +30,7 @@
 #D-- 1Y, 1M, 5D, 1D
 PeriodLength=1M
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card	(revision 4788)
@@ -101,4 +101,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER_historical/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER_historical/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER_historical/config.card	(revision 4788)
@@ -26,4 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
 PeriodLength=1M
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card	(revision 4788)
@@ -92,4 +92,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER_pdControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER_pdControl/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/AER_pdControl/config.card	(revision 4788)
@@ -26,4 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
 PeriodLength=1M
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/CREATE_erai/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/CREATE_erai/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/CREATE_erai/config.card	(revision 4788)
@@ -26,4 +26,7 @@
 #============================
 PeriodNb=50
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card	(revision 4788)
@@ -100,4 +100,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/DUSS/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/DUSS/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/DUSS/config.card	(revision 4788)
@@ -30,4 +30,7 @@
 #D-- 1Y, 1M, 5D, 1D
 PeriodLength=1M
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 4788)
@@ -100,4 +100,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/GES/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/GES/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/GES/config.card	(revision 4788)
@@ -30,4 +30,7 @@
 #D-- 1Y, 1M, 5D, 1D
 PeriodLength=1M
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card	(revision 4788)
@@ -99,4 +99,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC/config.card	(revision 4788)
@@ -30,4 +30,7 @@
 #D-- 1Y, 1M, 5D, 1D
 PeriodLength=1M
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #============================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 4788)
@@ -99,4 +99,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC_AER/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC_AER/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC_AER/config.card	(revision 4788)
@@ -30,4 +30,7 @@
 #D-- 1Y, 1M, 5D, 1D
 PeriodLength=1M
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #============================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card	(revision 4788)
@@ -100,4 +100,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/config.card	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/config.card	(revision 4788)
@@ -30,4 +30,7 @@
 #D-- 1Y, 1M, 5D, 1D
 PeriodLength=1M
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #============================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/DRIVER/lmdz.driver	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/DRIVER/lmdz.driver	(revision 4788)
@@ -322,10 +322,12 @@
     IGCM_comp_modifyXmlFile nonblocker file_def_histhfCOSP_lmdz.xml histhfCOSP enabled ${LMDZ_COSP_hf}
 
-    # Activate the histstrataer output file only for configuration with interactive stratospheric aersols 
+    # Activate the histstrataer output files only for configuration with interactive stratospheric aerosols 
     # done by setting the key word LMDZ_strataero=y in lmdz.card
     if [ X${lmdz_UserChoices_LMDZ_strataero} = Xy ] ; then
 	IGCM_comp_modifyXmlFile nonblocker file_def_histstrataer_lmdz.xml histstrataer enabled .TRUE.
+    IGCM_comp_modifyXmlFile nonblocker file_def_histdaystrataer_lmdz.xml histdaystrataer enabled .TRUE.
     else
 	IGCM_comp_modifyXmlFile nonblocker file_def_histstrataer_lmdz.xml histstrataer enabled .FALSE.
+    IGCM_comp_modifyXmlFile nonblocker file_def_histdaystrataer_lmdz.xml histdaystrataer enabled .FALSE.
     fi
 
@@ -391,20 +393,25 @@
 
     if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
-	echo "Activate coupling to INCA, set type_trac=inca in run.def"
-	IGCM_comp_modifyDefFile blocker run.def type_trac inca
+    echo "Activate coupling to INCA, set type_trac=inca in run.def"
+    IGCM_comp_modifyDefFile blocker run.def type_trac inca
     elif [ X${config_ListOfComponents_CHM} = Xreprobus ] ; then
-	echo "Activate coupling to REPROBUS, set type_trac=repr in run.def"
-	IGCM_comp_modifyDefFile blocker run.def type_trac repr
+    echo "Activate coupling to REPROBUS, set type_trac=repr in run.def"
+    IGCM_comp_modifyDefFile blocker run.def type_trac repr
         IGCM_comp_modifyDefFile blocker run.def config_inca none
-    else
-	echo "No coupling to chemistry model, set type_trac=lmdz in run.def"
-	IGCM_comp_modifyDefFile blocker run.def type_trac lmdz
+    elif [ X${lmdz_UserChoices_LMDZ_strataero} = Xy ] ; then
+        echo "No coupling to chemistry model but it is a LMDZ STRATAER configuration, set type_trac=coag in run.def"
+        IGCM_comp_modifyDefFile blocker run.def type_trac coag
         IGCM_comp_modifyDefFile blocker run.def config_inca none
-    fi
-
+    else
+    echo "No coupling to chemistry model, set type_trac=lmdz in run.def"
+    IGCM_comp_modifyDefFile blocker run.def type_trac lmdz
+        IGCM_comp_modifyDefFile blocker run.def config_inca none
+    fi
 
     # run.def : Activate the call to phytrac 
     if [ ! X${lmdz_UserChoices_iflag_phytrac} = X ]; then 
 	IGCM_comp_modifyDefFile nonblocker run.def iflag_phytrac ${lmdz_UserChoices_iflag_phytrac}
+    elif [ X${lmdz_UserChoices_LMDZ_strataero} = Xy ] ; then
+    IGCM_comp_modifyDefFile nonblocker run.def iflag_phytrac 1
     else
 	IGCM_comp_modifyDefFile nonblocker run.def iflag_phytrac 0
@@ -483,4 +490,21 @@
 	IGCM_comp_modifyDefFile nonblocker config.def pmagic DEFAULT
     fi 
+
+    # config.def : Modify parameter ok_volcan if it is set in lmdz.card
+    if [ ! X${lmdz_UserChoices_ok_volcan} = X ]; then
+    IGCM_comp_modifyDefFile nonblocker config.def ok_volcan ${lmdz_UserChoices_ok_volcan}
+    else
+    # Take default value set in config.def
+    IGCM_comp_modifyDefFile nonblocker config.def ok_volcan DEFAULT
+    fi
+
+    # config.def : set ok_volcan to y if we are in the strataero config
+    if [ X${lmdz_UserChoices_LMDZ_strataero} = Xy ] ; then
+    IGCM_comp_modifyDefFile nonblocker config.def ok_volcan y
+    else
+    IGCM_comp_modifyDefFile nonblocker config.def ok_volcan DEFAULT
+    fi
+
+    # Note: ok_volcan is a flag allowing a double-call with/without natural forcing (instead of with/without anthro forcing).
 
     # physiq.def : Modify parameter tau_gl if it is set in lmdz.card
@@ -556,4 +580,15 @@
 	rm add.tmp
     fi
+
+    #Compression level (if CompressionLevel is not empty)
+    if [ ! "X${config_UserChoices_CompressionLevel}" = "X" ] ; then
+    echo "NetCDF output files compression level is " ${config_UserChoices_CompressionLevel}
+    listfile=$(ls file_def*lmdz.xml)
+    for file in ${listfile}
+    do
+        sed -i -e "s/\(compression_level=\"\)[^\"]*\(\"\)/\1${config_UserChoices_CompressionLevel}\2/" ${file}
+    done
+    fi
+
             
     IGCM_debug_PopStack "ATM_Update"
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/DRIVER/orchidee.driver	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/DRIVER/orchidee.driver	(revision 4788)
@@ -12,5 +12,5 @@
         DefSuffix=${orchidee_UserChoices_DefSuffix}
     else
-        DefSuffix=Choi
+        DefSuffix=CWRR
     fi
 
@@ -39,4 +39,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
     fi
 
@@ -85,4 +88,10 @@
     fi
 
+    # Activate calcul of chemistry BVOC
+    if [ ! X${orchidee_UserChoices_CHEMISTRY_BVOC} = X ] ; then
+        IGCM_comp_modifyDefFile nonblocker orchidee.def CHEMISTRY_BVOC ${orchidee_UserChoices_CHEMISTRY_BVOC}
+    else
+        IGCM_comp_modifyDefFile nonblocker orchidee.def CHEMISTRY_BVOC n
+    fi
 
     ## 2. Mangement of output and modifications of related xml files
@@ -160,4 +169,15 @@
     fi
 
+    #Compression level (if CompressionLevel is not empty)
+    if [ ! "X${config_UserChoices_CompressionLevel}" = "X" ] ; then
+	echo "NetCDF output files compression level is " ${config_UserChoices_CompressionLevel}
+    	listfile=$(ls file_def*orchidee.xml)
+    	for file in ${listfile}
+    	do
+	    sed -i -e "s/\(compression_level=\"\)[^\"]*\(\"\)/\1${config_UserChoices_CompressionLevel}\2/" ${file}
+    	done
+    fi
+
+
 
     IGCM_debug_PopStack "SRF_Update"
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/DRIVER/stomate.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/DRIVER/stomate.driver	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/DRIVER/stomate.driver	(revision 4788)
@@ -47,4 +47,16 @@
 
         
+    if [ X${stomate_UserChoices_output_level_stomate_history_4dim} = X ] || [ X${stomate_UserChoices_output_level_stomate_history_4dim} = XNONE ] ; then
+	# output_level_stomate_history_4dim is not set in stomate.card or it is set to NONE.
+	# Deactivate the file.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+    else
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 enabled      .TRUE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level ${stomate_UserChoices_output_level_stomate_history_4dim}
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq  ${stomate_UserChoices_output_freq_stomate_history_4dim}
+    fi
+
 
     # Define in orchidee.def if restart file should be used
@@ -55,4 +67,26 @@
         IGCM_comp_modifyDefFile blocker orchidee.def STOMATE_RESTART_FILEIN stomate_rest_in.nc
     fi
+
+
+    # Modify in orchidee.def NINPUT_UPDATE if it is set in stomate.card section UserChoices
+    # NINPUT_UPDATE inidcates if the nitrogen maps should be updated and at which frequency
+    if [ ! X${stomate_UserChoices_NINPUT_UPDATE} = X ] ; then
+        # Take the value from stomate.card
+        IGCM_comp_modifyDefFile nonblocker orchidee.def NINPUT_UPDATE   ${stomate_UserChoices_NINPUT_UPDATE}
+    else
+        # Set default value 0Y
+        IGCM_comp_modifyDefFile nonblocker orchidee.def NINPUT_UPDATE 0Y
+    fi
+
+    # Modify in orchidee.def STOMATE_IMPOSE_CN if it is set in stomate.card section UserChoices
+    # STOMATE_IMPOSE_CN inidcates if the nitrogen should be imposed or not. 
+    if [ ! X${stomate_UserChoices_STOMATE_IMPOSE_CN} = X ] ; then
+        # Take the value from stomate.card
+        IGCM_comp_modifyDefFile nonblocker orchidee.def STOMATE_IMPOSE_CN   ${stomate_UserChoices_STOMATE_IMPOSE_CN}
+    else
+        # Set default value n (nitrogen is not imposed)
+        IGCM_comp_modifyDefFile nonblocker orchidee.def STOMATE_IMPOSE_CN n
+    fi
+
 
     IGCM_debug_PopStack "SBG_Update"
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/config.def_actuel
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/config.def_actuel	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/config.def_actuel	(revision 4788)
@@ -73,6 +73,6 @@
 # Aerosols stratospheriques utilises par defaut 
 flag_aerosol_strat=2
-# Diag VolMIP to get volcanic aerosols effects instead of tropospheric ones
-ok_volcan=n
+# Flag to yield double call with/without natural forcing (instead of with/without anthropic)
+ok_volcan=_AUTO_: DEFAULT = n
 #
 # COSP
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/config.def_annuel
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/config.def_annuel	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/config.def_annuel	(revision 4788)
@@ -74,6 +74,6 @@
 # Aerosols stratospheriques utilises par defaut 
 flag_aerosol_strat=2
-# Diag VolMIP to get volcanic aerosols effects instead of tropospheric ones
-ok_volcan=n
+# Flag to yield double call with/without natural forcing (instead of with/without anthropic)
+ok_volcan=_AUTO_: DEFAULT = n
 #
 # COSP
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/config.def_preind
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/config.def_preind	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/config.def_preind	(revision 4788)
@@ -74,6 +74,7 @@
 #
 flag_aerosol_strat=2
-# Diag VolMIP to get volcanic aerosols effects instead of tropospheric ones
-ok_volcan=n
+# Flag to yield double call with/without natural forcing (instead of with/without anthropic)
+ok_volcan=_AUTO_: DEFAULT = n
+#
 #
 # COSP
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/orchidee.def_CWRR
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/orchidee.def_CWRR	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/orchidee.def_CWRR	(revision 4788)
@@ -218,5 +218,5 @@
 #************************************************************************
 # CHEMISTRY_OK_BVOC :  Activate chemistry
-CHEMISTRY_BVOC =  n
+CHEMISTRY_BVOC = _AUTO_: DEFAULT=n
 
 # CO2 FOR BVOC - WILKINSON :  CO2 inhibition effect for isoprene based on Wilkinson approach?
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/orchidee.def_Choi
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/orchidee.def_Choi	(revision 4780)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/orchidee.def_Choi	(revision 4788)
@@ -94,5 +94,5 @@
 # CHEMISTRY_OK_BVOC ([FLAG]) :  Activate chemistry    {OK_SECHIBA}
 # default =  n 
-CHEMISTRY_BVOC =  n
+CHEMISTRY_BVOC = _AUTO_: DEFAULT=n
 
 # CO2 FOR BVOC - WILKINSON ([FLAG]) :  CO2 inhibition effect for isoprene based on Wilkinson approach?    {CHEMISTRY_OK_BVOC }
